/*
 *  Medard for Maemo.
 *  Copyright (C) 2011 Roman Moravcik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef FORECASTWIDGET_H
#define FORECASTWIDGET_H

#ifdef Q_WS_MAEMO_6
#include <QGraphicsWidget>
#else
#include <QWidget>
#endif

#include <QString>

#ifdef Q_WS_MAEMO_6
class ForecastWidget : public QGraphicsWidget
#else
class ForecastWidget : public QWidget
#endif
{
    Q_OBJECT

public:
#ifdef Q_WS_MAEMO_6
    ForecastWidget(QGraphicsWidget *parent = 0);

    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
#else
    ForecastWidget(QWidget *parent = 0);
#endif

    void setImage(const QString &filename);
    void clearImage(bool error);

#ifdef Q_WS_MAEMO_5
protected:
    void paintEvent(QPaintEvent *event);
#endif

private:
    QString m_filename;
    bool m_error;
};

#endif // FORECASTWIDGET_H
