/*
 *  Medard for Maemo.
 *  Copyright (C) 2011 Roman Moravcik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef Q_WS_MAEMO_6
#include <MApplication>
#include <MApplicationWindow>
#else
#include <QApplication>
#endif

#include <QTranslator>
#include <QLocale>

#include "mainwindow.h"

int main(int argc, char *argv[])
{
#ifdef Q_WS_MAEMO_6
    MApplication app(argc, argv);
#else
    QApplication app(argc, argv);
#endif

    QString translatorFileName = "medard_" + QLocale::system().name();
    QTranslator translator;
    if (translator.load(translatorFileName, "/opt/medard/share/l10n/"))
        app.installTranslator(&translator);

#ifdef Q_WS_MAEMO_6
    MApplicationWindow window;
    MainWindow page;
    page.appear(&window);
    window.show();
#else
    MainWindow window;
    window.showMaximized();
#endif

    return app.exec();
}
